[Fusionforge-commits] FusionForge branch master updated. c681c416cde4c2d4436c2372ba1a8edf2155ef0f

Christian Bayle cbayle at fusionforge.org
Sat Nov 17 16:05:02 CET 2012


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "FusionForge".

The branch, master has been updated
       via  c681c416cde4c2d4436c2372ba1a8edf2155ef0f (commit)
      from  27b1959d7c5b5c485a78a2f096e8915ea3f5ae31 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit c681c416cde4c2d4436c2372ba1a8edf2155ef0f
Author: Christian Bayle <chris at bayle.eu>
Date:   Sat Nov 17 16:04:34 2012 +0100

    Normalize selenium tests

diff --git a/tests/scripts/fusionforge-build-and-test-rpm.sh b/tests/scripts/fusionforge-build-and-test-rpm.sh
index e9e69db..9bb2f9c 100755
--- a/tests/scripts/fusionforge-build-and-test-rpm.sh
+++ b/tests/scripts/fusionforge-build-and-test-rpm.sh
@@ -44,15 +44,17 @@ ssh root@$HOST "su - postgres -c \"pg_dumpall\" > /root/dump"
 # Install a fake sendmail to catch all outgoing emails.
 ssh root@$HOST "perl -spi -e s#/usr/sbin/sendmail#$FORGE_HOME/tests/scripts/catch_mail.php# /etc/gforge/config.ini.d/defaults.ini"
 
-# Stop cron
+echo "Stop cron daemon"
 ssh root@$HOST "service crond stop" || true
 
+# Install selenium
+ssh root@$HOST "yum -y install selenium"
+
 # Install selenium tests
-ssh root@$HOST mkdir $FORGE_HOME/tests
-make -C 3rd-party/selenium selenium-server.jar
-cp 3rd-party/selenium/selenium-server.jar tests/
+ssh root@$HOST "[ -d $FORGE_HOME ] || mkdir -p $FORGE_HOME"
 rsync -a --delete tests/ root@$HOST:$FORGE_HOME/tests/
 
+# Transfer hudson config
 ssh root@$HOST "cat > $FORGE_HOME/tests/config/phpunit" <<-EOF
 HUDSON_URL=$HUDSON_URL
 JOB_NAME=$JOB_NAME
@@ -61,29 +63,10 @@ EOF
 # Run tests
 retcode=0
 echo "Run phpunit test on $HOST in $FORGE_HOME"
-
-ssh root@$HOST "yum install -y vnc-server ; mkdir -p /root/.vnc"
-ssh root@$HOST "cat > /root/.vnc/xstartup ; chmod +x /root/.vnc/xstartup" <<EOF
-#! /bin/bash
-: > /root/phpunit.exitcode
-$FORGE_HOME/tests/scripts/phpunit.sh RPMCentosTests.php &> /var/log/phpunit.log &
-echo \$! > /root/phpunit.pid
-wait %1
-echo \$? > /root/phpunit.exitcode
-EOF
-ssh root@$HOST vncpasswd <<EOF
-password
-password
-EOF
-ssh root@$HOST "vncserver :1"
-sleep 5
-pid=$(ssh root@$HOST cat /root/phpunit.pid)
-ssh root@$HOST "tail -f /var/log/phpunit.log --pid=$pid"
-sleep 5
-retcode=$(ssh root@$HOST cat /root/phpunit.exitcode)
+ssh root@$HOST "$FORGE_HOME/tests/func/vncxstartsuite.sh $FILTER"
+retcode=$?
 rsync -av root@$HOST:/var/log/ $WORKSPACE/reports/
-ssh root@$HOST "vncserver -kill :1" || retcode=$?
+scp root@$HOST:/tmp/gforge-*.log $WORKSPACE/reports/
 
 stop_vm_if_not_keeped -t centos5 $@
 exit $retcode
-

-----------------------------------------------------------------------

Summary of changes:
 tests/scripts/fusionforge-build-and-test-rpm.sh |   35 ++++++-----------------
 1 file changed, 9 insertions(+), 26 deletions(-)


hooks/post-receive
-- 
FusionForge



More information about the Fusionforge-commits mailing list